@import './colors';
@import './mixins';

@mixin btnColor($state, $background-color) {
  &.#{$state} {
    background-color: $background-color;
    color: $light;
    border: none;

    &:hover {
      background: lighten($color: $background-color, $amount: 12)
        radial-gradient(circle, transparent 1%,
        lighten($color: $background-color, $amount: 12) 1%)
        center/15000%;
    }

    &:active {
      background-color: $background-color,;
      background-size: 100%;
      transition: background 0s;
    }
  }
}

.btn {
  cursor: pointer;
  display: inline;
  background-color: $white;
  border: 1px solid lighten($color: $gray-dark, $amount: 60);
  border-radius: 4px;
  font-size: 12px;
  text-transform: uppercase;
  margin: 0 12px 0 0;
  padding: 12px 16px;
  outline: none;
  background-position: center;
  transition: background 0.8s;
  z-index: 100;
  @include button-shadow();

  @include btnColor('primary', $blue);
  @include btnColor('warning', $warning);
  @include btnColor('danger', $danger);
}
